# $Revision: 1.30 $, $Date: 2005/07/23 21:39:34 $
#
# Conditional build:
%bcond_without tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Log
%define		pnam	Log4perl
Summary:	Log::Log4perl Perl module - adds logging capabilities
Summary(pl):	Modu Perla Log::Log4perl - dostarczenie obsugi logowania
Name:		perl-Log-Log4perl
Version:	0.52
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	d92c0ec1c01b701e02943587c633e210
URL:		http://log4perl.sourceforge.net/
%if %{with tests}
BuildRequires:	perl-DBI
BuildRequires:	perl-DBD-CSV
BuildRequires:	perl-Log-Dispatch
BuildRequires:	perl-SQL-Statement
BuildRequires:	perl-XML-DOM >= 1.43
#BuildRequires:	perl-Log-Dispatch-FileRotate
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	perl-XML-DOM >= 1.43
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# used conditionally
%define		_noautoreq	'perl(XML::DOM)' 'perl(LWP::UserAgent)' 'perl(Log::Dispatch::FileRotate).*'

%description
Log::Log4perl lets you remote-control and fine-tune the logging
behaviour of your system from the outside. It implements the widely
popular (Java-based) Log4j logging package in pure Perl.

%description -l pl
Log::Log4perl pozwala na zdalne sterowanie i szczegowe dostosowanie
sposobu logowania z zewntrz. Jest implementacj popularnego (opartego
na Javie) pakietu logujcego Log4j w czystym Perlu.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL < /dev/null \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/%{pdir}/*.pm
%{perl_vendorlib}/%{pdir}/%{pnam}
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Log-Log4perl.spec,v $
Revision 1.30  2005/07/23 21:39:34  radek
- version 0.52

Revision 1.29  2005/01/07 12:16:57  adamg
- release 2 (for fixed deps on ac-i386)

Revision 1.28  2005/01/03 18:08:49  adamg
- updated to 0.50

Revision 1.27  2004/11/11 22:43:35  paladine
- updated to 0.49

Revision 1.26  2004/11/03 22:30:31  paladine
- formatting

Revision 1.25  2004/11/03 13:05:26  paladine
- spaces->tabs

Revision 1.24  2004/08/08 18:52:34  adamg
- updated to 0.47

Revision 1.23  2004/06/05 20:26:53  radek
- massive: unfold macros in name/summary & other unifications

Revision 1.22  2004/05/27 11:39:43  adamg
- updated to 0.45

Revision 1.21  2004/05/06 18:20:31  ankry
- fixed perl-devel BR

Revision 1.20  2004/05/02 06:59:13  adamg
- updated to 0.44

Revision 1.19  2004/04/25 00:50:56  ankry
- cosmetics: unification

Revision 1.18  2004/04/22 15:01:18  ankry
- license fixes and unification

Revision 1.17  2004/04/14 20:54:13  ankry
- cosmetics, unification

Revision 1.16  2004/04/09 18:56:26  adamg
- updated to 0.43

Revision 1.15  2003/11/16 15:52:14  migo
- up to 0.40

Revision 1.14  2003/10/28 20:05:14  migo
- up to 0.39

Revision 1.13  2003/10/06 19:01:51  migo
- up to 0.38
- new bcond style
- changed requires
- URL

Revision 1.12  2003/09/29 17:39:07  adamg
- updated to 0.37

Revision 1.11  2003/09/18 13:19:35  adamg
- updated to 0.36

Revision 1.10  2003/09/09 10:24:41  ankry
- spaces -> tab

Revision 1.9  2003/07/29 15:39:39  adamg
- updated to 0.35

Revision 1.8  2003/06/11 15:06:15  qboosh
- strange, ftp works for me... but let's try http

Revision 1.7  2003/06/11 14:34:00  qboosh
- some BR for tests and _noautoreq (from RA-branch), up to 0.33

Revision 1.6  2003/05/28 13:00:46  malekith
- massive attack: source-md5

Revision 1.5  2003/05/25 06:24:45  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2003/04/11 18:59:24  radek
- BR: perl-devel; do not BR: perl

Revision 1.3  2003/04/05 22:42:50  ankry
- added Changes to %doc, fixed BR
- rel. 0.2

Revision 1.2  2003/03/27 17:06:13  qboosh
- pl description

Revision 1.1  2003/03/26 00:58:32  mguevara
Perl Log::Log4perl module for adding flexible logging capabilities
to Perl programs and scripts.
